Ginkgo: gko::solver::PipeCg< ValueType >::parameters_type Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::solver::PipeCg< ValueType >::parameters_type Struct Reference
Inheritance diagram for gko::solver::PipeCg< ValueType >::parameters_type:
[legend]
Collaboration diagram for gko::solver::PipeCg< ValueType >::parameters_type:
[legend]

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< parameters_type, Factory >
using | factory
Public Member Functions inherited from gko::solver::enable_preconditioned_iterative_solver_factory_parameters< parameters_type, Factory >
auto | with_preconditioner (::gko::deferred_factory_parameter< preconditioner_type > factory) -> std::decay_t< decltype(*(this->self()))> &
auto | with_generated_preconditioner (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::solver::enable_iterative_solver_factory_parameters< parameters_type, Factory >
auto | with_criteria (Args &&... factories) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< parameters_type, Factory >
parameters_type & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Factory > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.
Public Attributes inherited from gko::solver::enable_preconditioned_iterative_solver_factory_parameters< parameters_type, Factory >
std::shared_ptr< const LinOpFactory > | preconditioner
| The preconditioner to be used by the iterative solver.
std::shared_ptr< const LinOp > | generated_preconditioner
| Already generated preconditioner.
Public Attributes inherited from gko::solver::enable_iterative_solver_factory_parameters< parameters_type, Factory >
std::vector< std::shared_ptr< const stop::CriterionFactory > > | criteria
| Stopping criteria to be used by the solver.

The documentation for this struct was generated from the following file:

- ginkgo/core/solver/pipe_cg.hpp